CREATE TABLE iby_temp_ext_payees (
    TEMP_EXT_PAYEE_ID               NUMBER(18, 0) ,
    STATUS                          VARCHAR2(120)     NOT NULL,
    PAYMENT_FUNCTION                VARCHAR2(120)     NOT NULL,
    PARTY_ID                        NUMBER(18, 0) ,
    ORG_TYPE                        VARCHAR2(120) ,
    ORG_ID                          NUMBER(18, 0) ,
    BANK_CHARGE_BEARER              VARCHAR2(120) ,
    PARTY_SITE_ID                   NUMBER(18, 0) ,
    SUPPLIER_SITE_ID                NUMBER(18, 0) ,
    DEFAULT_PAYMENT_METHOD_CODE     VARCHAR2(120) ,
    ECE_TP_LOCATION_CODE            VARCHAR2(240) ,
    BANK_INSTRUCTION1_CODE          VARCHAR2(120) ,
    BANK_INSTRUCTION2_CODE          VARCHAR2(120) ,
    BANK_INSTRUCTION_DETAILS        VARCHAR2(1020),
    PAYMENT_REASON_CODE             VARCHAR2(120) ,
    PAYMENT_REASON_COMMENTS         VARCHAR2(960) ,
    PAYMENT_TEXT_MESSAGE1           VARCHAR2(1024),
    PAYMENT_TEXT_MESSAGE2           VARCHAR2(1024),
    PAYMENT_TEXT_MESSAGE3           VARCHAR2(1024),
    DELIVERY_CHANNEL_CODE           VARCHAR2(120) ,
    PAYMENT_FORMAT_CODE             VARCHAR2(120) ,
    EXCLUSIVE_PAYMENT_FLAG          VARCHAR2(4)       NOT NULL,
    SETTLEMENT_PRIORITY             VARCHAR2(120) ,
    START_DATE                      DATE              NOT NULL,
    END_DATE                        DATE              NOT NULL,
    FEEDER_IMPORT_BATCH_ID          NUMBER(18, 0) ,
    ORIG_SYSTEM                     VARCHAR2(320) ,
    ORIG_SYSTEM_REFERENCE           VARCHAR2(960) ,
    LOCAL_INSTRUMENT_CODE           VARCHAR2(120) ,
    REMIT_ADVICE_DELIVERY_METHOD    VARCHAR2(120) ,
    REMIT_ADVICE_EMAIL              VARCHAR2(1020),
    REMIT_ADVICE_FAX                VARCHAR2(400) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    VENDOR_CODE                     VARCHAR2(120) ,
    VENDOR_SITE_CODE                VARCHAR2(960) ,
    LOAD_REQUEST_ID                 NUMBER(18, 0) ,
    BUSINESS_UNIT                   VARCHAR2(960) ,
    TEMP_EXT_PAYEE_ID               NUMBER(18, 0) ,
    STATUS                          VARCHAR2(120)     NOT NULL,
    PAYMENT_FUNCTION                VARCHAR2(120)     NOT NULL,
    PARTY_ID                        NUMBER(18, 0) ,
    ORG_TYPE                        VARCHAR2(120) ,
    ORG_ID                          NUMBER(18, 0) ,
    BANK_CHARGE_BEARER              VARCHAR2(120) ,
    PARTY_SITE_ID                   NUMBER(18, 0) ,
    SUPPLIER_SITE_ID                NUMBER(18, 0) ,
    DEFAULT_PAYMENT_METHOD_CODE     VARCHAR2(120) ,
    ECE_TP_LOCATION_CODE            VARCHAR2(240) ,
    BANK_INSTRUCTION1_CODE          VARCHAR2(120) ,
    BANK_INSTRUCTION2_CODE          VARCHAR2(120) ,
    BANK_INSTRUCTION_DETAILS        VARCHAR2(1020),
    PAYMENT_REASON_CODE             VARCHAR2(120) ,
    PAYMENT_REASON_COMMENTS         VARCHAR2(960) ,
    PAYMENT_TEXT_MESSAGE1           VARCHAR2(1024),
    PAYMENT_TEXT_MESSAGE2           VARCHAR2(1024),
    PAYMENT_TEXT_MESSAGE3           VARCHAR2(1024),
    DELIVERY_CHANNEL_CODE           VARCHAR2(120) ,
    PAYMENT_FORMAT_CODE             VARCHAR2(120) ,
    EXCLUSIVE_PAYMENT_FLAG          VARCHAR2(4)       NOT NULL,
    SETTLEMENT_PRIORITY             VARCHAR2(120) ,
    START_DATE                      DATE              NOT NULL,
    END_DATE                        DATE              NOT NULL,
    FEEDER_IMPORT_BATCH_ID          NUMBER(18, 0) ,
    ORIG_SYSTEM                     VARCHAR2(320) ,
    ORIG_SYSTEM_REFERENCE           VARCHAR2(960) ,
    LOCAL_INSTRUMENT_CODE           VARCHAR2(120) ,
    REMIT_ADVICE_DELIVERY_METHOD    VARCHAR2(120) ,
    REMIT_ADVICE_EMAIL              VARCHAR2(1020),
    REMIT_ADVICE_FAX                VARCHAR2(400) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    VENDOR_CODE                     VARCHAR2(120) ,
    VENDOR_SITE_CODE                VARCHAR2(960) ,
    LOAD_REQUEST_ID                 NUMBER(18, 0) ,
    BUSINESS_UNIT                   VARCHAR2(960) ,
    CONSTRAINT pk_iby_temp_ext_payees PRIMARY KEY (TEMP_EXT_PAYEE_ID, FEEDER_IMPORT_BATCH_ID, TEMP_EXT_PAYEE_ID, FEEDER_IMPORT_BATCH_ID)
);
